%global srcname olefile
%global _description \
olefile is a Python package to parse, read and write Microsoft OLE2 files\
(also called Structured Storage, Compound File Binary Format or Compound\
Document File Format), such as Microsoft Office 97-2003 documents,\
vbaProject.bin in MS Office 2007+ files, Image Composer and FlashPix files,\
Outlook messages, StickyNotes, several Microscopy file formats, McAfee\
antivirus quarantine files, etc.

Name:           python-%{srcname}
Version:        0.46
Release:        %mkrel 6
Summary:        Python package to parse, read and write Microsoft OLE2 files
Group:		Development/Python

License:        BSD
URL:            https://pypi.python.org/pypi/olefile/
Source0:        https://files.pythonhosted.org/packages/source/o/%{srcname}/%{srcname}-%{version}.zip
BuildArch:      noarch
# for docs
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

%description %{_description}

%package -n python3-%{srcname}
Summary:        %{summary}
Group:		Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname} %{_description}

%prep
%autosetup -p1 -n %{srcname}-%{version}

# drop bundled egg-info
rm -rf olefile.egg-info/

%build
%py3_build

make -C doc html SPHINXBUILD=sphinx-build-%python3_version
rm -rf doc/_build/html/.buildinfo

%install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} tests/test_olefile.py

%files -n python3-%{srcname}
%doc README.md doc/_build/html
%license doc/License.rst
%{python3_sitelib}/olefile-*.egg-info
%{python3_sitelib}/olefile/


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 0.46-6.mga9
+ Revision: 1832602
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tmb <tmb> 0.46-5.mga9
+ Revision: 1774070
- rebuild for python 3.10

* Mon Mar 15 2021 neoclust <neoclust> 0.46-4.mga9
+ Revision: 1703179
- Rebuild against python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.46-3.mga8
+ Revision: 1531386
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 tv <tv> 0.46-2.mga8
+ Revision: 1439720
- rebuild for python-3.8
- drop python2 subpkg

* Sun Apr 21 2019 wally <wally> 0.46-1.mga7
+ Revision: 1394198
- new version 0.46

* Mon Jan 07 2019 tmb <tmb> 0.44-3.mga7
+ Revision: 1351200
- rebuild for python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.44-2.mga7
+ Revision: 1289494
- Mageia 7 Mass Rebuild

* Fri Aug 04 2017 tv <tv> 0.44-1.mga7
+ Revision: 1135012
- imported package python-olefile


* Fri Aug 04 2017 Thierry Vignaud <tv@mageia.org> 0.44-1.mga7
- import from FC

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.44-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jan 12 2017 Sandro Mani <manisandro@gmail.com> - 0.44-1
- Update to 0.44

* Mon Jan 02 2017 Sandro Mani <manisandro@gmail.com> - 0.44-0.4.gitbc9d196
- Fix incorrect line endings
- Remove shebang from non-executable scripts

* Mon Jan 02 2017 Sandro Mani <manisandro@gmail.com> - 0.44-0.3.gitbc9d196
- Further reduce duplicate text
- Add python_provides

* Mon Jan 02 2017 Sandro Mani <manisandro@gmail.com> - 0.44-0.2.gitbc9d196
- Use %%py_build and %%py_install macros
- Use %%summary, %%url to reduce duplicate text
- Add %%check
- Move BR to subpackages

* Mon Jan 02 2017 Sandro Mani <manisandro@gmail.com> - 0.44-0.1.gitbc9d196
- Initial package
